> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Leave balances + requests for one employee (admin Leave tab)

> Leave balances + requests for one employee (admin Leave tab)



## OpenAPI

````yaml /api-reference/openapi.json get /api/leave/employees/{employeeId}
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/leave/employees/{employeeId}:
    get:
      tags:
        - Leave
      summary: Leave balances + requests for one employee (admin Leave tab)
      description: Leave balances + requests for one employee (admin Leave tab)
      operationId: getApiLeaveEmployeesByEmployeeId
      parameters:
        - in: path
          name: employeeId
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  employeeId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  fyYear:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  fyLabel:
                    type: string
                  balances:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        leaveTypeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        leaveTypeCode:
                          type: string
                        leaveTypeName:
                          type: string
                        colorTone:
                          type: string
                          enum:
                            - neutral
                            - accent
                            - ok
                            - warn
                            - bad
                            - info
                        year:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        entitled:
                          type: number
                        taken:
                          type: number
                        remaining:
                          type: number
                      required:
                        - id
                        - employeeId
                        - leaveTypeId
                        - leaveTypeCode
                        - leaveTypeName
                        - colorTone
                        - year
                        - entitled
                        - taken
                        - remaining
                  requests:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeName:
                          type: string
                        employeeCode:
                          type: string
                        leaveTypeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        leaveTypeCode:
                          type: string
                        leaveTypeName:
                          type: string
                        colorTone:
                          type: string
                          enum:
                            - neutral
                            - accent
                            - ok
                            - warn
                            - bad
                            - info
                        fromDate:
                          type: string
                        toDate:
                          type: string
                        duration:
                          type: string
                          enum:
                            - FullDay
                            - FirstHalf
                            - SecondHalf
                        workingDays:
                          type: number
                        reason:
                          anyOf:
                            - type: string
                            - type: 'null'
                        backupEmployeeId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        backupName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        balanceAfter:
                          type: number
                        status:
                          type: string
                          enum:
                            - PendingManager
                            - ManagerApprovedPendingHR
                            - Approved
                            - Rejected
                        requiresHrApproval:
                          type: boolean
                        managerDecisionBy:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        managerDecisionName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        managerDecidedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        hrDecisionBy:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        hrDecisionName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        hrDecidedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        decisionNote:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                      required:
                        - id
                        - employeeId
                        - employeeName
                        - employeeCode
                        - leaveTypeId
                        - leaveTypeCode
                        - leaveTypeName
                        - colorTone
                        - fromDate
                        - toDate
                        - duration
                        - workingDays
                        - reason
                        - backupEmployeeId
                        - backupName
                        - balanceAfter
                        - status
                        - requiresHrApproval
                        - managerDecisionBy
                        - managerDecisionName
                        - managerDecidedAt
                        - hrDecisionBy
                        - hrDecisionName
                        - hrDecidedAt
                        - decisionNote
                        - createdAt
                required:
                  - employeeId
                  - fyYear
                  - fyLabel
                  - balances
                  - requests
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````